summaryrefslogtreecommitdiffstats
path: root/integration-tests/openecomp-be-config/ready-probe.sh
diff options
context:
space:
mode:
Diffstat (limited to 'integration-tests/openecomp-be-config/ready-probe.sh')
-rw-r--r--integration-tests/openecomp-be-config/ready-probe.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/integration-tests/openecomp-be-config/ready-probe.sh b/integration-tests/openecomp-be-config/ready-probe.sh
new file mode 100644
index 0000000000..ad97abf27b
--- /dev/null
+++ b/integration-tests/openecomp-be-config/ready-probe.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+health_check_http_code=$(curl -k --max-time 5 -o /dev/null -w '%{http_code}' -X GET --header "Accept: application/json" "http://127.0.0.1:8081/onboarding-api/v1.0/healthcheck")
+if [ "$health_check_http_code" -eq 200 ]; then
+ exit 0
+else
+ echo "Health check http status: $health_check_http_code"
+ exit 1
+fi
+